Subject: Re: linux-next: build failure after merge of the scsi-mkp tree

From: Bart Van Assche <[email-masked]>
Date: Thu, 7 Dec 2017 03:59:30 +0000

On Thu, 2017-12-07 at 14:57 +1100, Stephen Rothwell wrote:
> After merging the scsi-mkp tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: "init_rcu_head" [drivers/scsi/scsi_mod.ko] undefined!
> ERROR: "destroy_rcu_head" [drivers/scsi/scsi_mod.ko] undefined!
> 
> Caused by commit
> 
>   ac90420f17c9 ("scsi: core: Ensure that the SCSI error handler gets woken up")
> 
> I have used the scsi-mkp tree from next-20171206 for today.

Does that mean I'm the first one who added RCU code to the SCSI core? Anyway,
I will fix this and repost the patch series that introduced this build failure.
Sorry for the inconvenience.

Bart.